{% extends "accountent/base.html" %}
{% load i18n %}

{% block head %}
{{ wizard.form.media }}
{% endblock %}

{% block page_subtitle %}{% trans "Reconcile transaction" %}{% endblock page_subtitle %}
{% block page_title %}{% trans "Step" %} {{ wizard.steps.step1 }}/{{ wizard.steps.count }}{% endblock page_title %}

{% block header_button %}
{% if wizard.steps.prev %}
<button name="wizard_goto_step" type="submit" value="{{ wizard.steps.first }}" class="float-left btn btn-warning m-2">{% trans "first step" %}</button>
<button name="wizard_goto_step" type="submit" value="{{ wizard.steps.prev }}" class="float-left btn btn-secondary m-2">{% trans "prev step" %}</button>
{% endif %}
<input type="submit" value="{% trans "submit" %}" class="float-right btn btn-primary m-2"/>
{% endblock header_button %}

{% block content %}
<div class="row my-4 border-bottom">
    <div class="col-12 col-md-4"><h4>{{ statement.date }}</h4></div>
    <div class="col-12 col-md-4"><h4>{{ statement.description }}</h4></div>
    <div class="col-12 col-md-4"><h4>{{ statement.amount }}</h4></div>
</div>
<table>
{{ wizard.management_form }}
{% if wizard.form.forms %}
    {{ wizard.form.management_form }}
    {% for form in wizard.form.forms %}
        {{ form }}
    {% endfor %}
{% else %}
    {{ wizard.form }}
{% endif %}
</table>
{% endblock %}